SND_INTERVAL_RATNUM(9)

NAME
snd_interval_ratnum - refine the interval value

SYNOPSIS

int snd_interval_ratnum(struct snd_interval * i, unsigned int rats_count, struct snd_ratnum * rats, unsigned int * nump, unsigned int * denp);

ARGUMENTS

i
    interval to refine

rats_count
    number of ratnum_t

rats
    ratnum_t array

nump
    pointer to store the resultant numerator

denp
    pointer to store the resultant denominator

RETURN

Positive if the value is changed, zero if it's not changed, or a negative error code.

COPYRIGHT